GET List enrollments
Retrieve a paginated list of enrollments for the authenticated organization with optional filtering
Retrieve a paginated list of enrollments for the authenticated organization with optional filtering
AuthorizationBearer <token>
Send API keys and access tokens as Authorization: Bearer .
In: header
Query Parameters
limit?integer
Maximum number of results to return (1-100)
Range
1 <= value <= 100Default
25offset?integer
Number of results to skip for pagination
Range
0 <= valueDefault
0user_id?string
Filter by user ID
Format
uuidcourse_id?string
Filter by course ID
Format
uuidstatus?string
Filter by enrollment status
Value in
- "enrolled"
- "active"
- "completed"
- "withdrawn"
start_date?string
Filter enrollments created on or after this date
Format
date-timeend_date?string
Filter enrollments created on or before this date
Format
date-timeResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/course-enrollments"{ "data": [ { "id": "{id}", "user_id": "{user_id}", "course_id": "{course_id}", "organization_id": "{organization_id}", "status": "string", "progress_percentage": 0, "enrolled_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "last_accessed_at": "2019-08-24T14:15:22Z" } ], "meta": { "total": 0, "limit": 0, "offset": 0, "filters": { "user_id": "{user_id}", "course_id": "{course_id}", "status": "enrolled", "start_date": "2019-08-24T14:15:22Z", "end_date": "2019-08-24T14:15:22Z" }, "rls_validated": true, "organization_id": "{organization_id}" }}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}